function [mb, ms, cc, cs]=DRM_Estimation(f,mask,options)
% decompose F(x)= mb(x)*CB + ms(x)*CS;   
% where CB = CC.*CS;

    load Planckian;
    specolor=Plan(6:157,2:4);

    cb=(RBRE(f,mask,options))';
    [mb,ms,cb,cs]=CIE_Method4(f,mask,cb,specolor);  %Planckian light assumption
   
    % material color
    cc=cb./cs;
    cc=cc./norm(cc)*255;
    
    % Rescaling which we use for visualization purposes
    mb=mb.*norm(cs)./norm(cc.*cs)*255; 
    
    fprintf('The estimated Material Color is:\n [ Red: %f \t Green: %f \t Blue: %f ]\n',cc(1),cc(2),cc(3));
    fprintf('The estimated Illuminant Colors by the DRM model are:\n[ Red: %f \t Green: %f \t Blue: %f ]\n',cs(1),cs(2),cs(3));

end
